Join a webinar on April 30th: Unlocking Your Data using AI with Box Extract & MCP Server. Register here
curl -i -X GET "https://api.box.com/2.0/folders/4353455/watermark" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"watermark": {
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00"
}
}Retrieve the watermark for a folder.
curl -i -X GET "https://api.box.com/2.0/folders/4353455/watermark" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"watermark": {
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00"
}
}The access token received from the authorization server in the OAuth 2.0 flow.
The unique identifier that represent a folder.
The ID for any folder can be determined by visiting this folder in the web application and copying the ID from the URL. For example, for the URL https://*.app.box.com/folder/123 the folder_id is 123.
The root folder of a Box account is always represented by the ID 0.
Returns an object containing information about the watermark associated for to this folder.
A watermark is a semi-transparent overlay on an embedded file preview that displays a viewer's email address or user ID and the time of access over a file's content.
Show child attributes
Was this page helpful?